Download it now!
Bug 94043 (RTF_Column_Sep) - Column separators not export in RTF
Summary: Column separators not export in RTF
Status: VERIFIED FIXED
Alias: RTF_Column_Sep
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.0.1
Keywords: filter:rtf
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2015-09-09 01:27 UTC by documentfoundation.org
Modified: 2016-10-25 19:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Four-column document with separator lines to demonstrate the problem (9.44 KB, application/vnd.oasis.opendocument.text)
2015-09-09 01:27 UTC, documentfoundation.org
Details

Note You need to log in before you can comment on or make changes to this bug.
Description documentfoundation.org 2015-09-09 01:27:07 UTC
Created attachment 118536 [details]
Four-column document with separator lines to demonstrate the problem

When saving a document containing multiple columns with a separator line between the columns as RTF, LibreOffice does not have the separator line between the columns upon subsequent open.

If a separator line between the column is added to the RTF file just opened and saved again (as RTF), LibreOffice does not provide any column information in the saved file and a subsequent open will render the document single column.

It seems that LibreOffice does not honour the \linebetcol tag in an RTF file and loses the column information upon saving if a line is manually added afterwards.

To reproduce the result:

* Open the attached file, RTF-1.odt
* Save the file in RTF format as RTF-2.rtf
* Open RTF-2.rtf and see how the separator lines between the columns are gone
* Restore the lines between columns (Format | Columns | Separator Line: Style Solid, Width 0.25pt, Height 100%, Colour Black)
* Save the file as RTF-3.rtf
* Open RTF-3.rtf and see how it is now single column
Comment 1 Jacques Guilleron 2015-09-09 10:07:24 UTC
Hi,

Reproduced with 
LO 5.0.0.5 Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale : fr-FR (fr_FR)
& windows 7 Home Premium.

Thanks for the report
Comment 2 Cor Nouws 2015-09-14 12:22:04 UTC
already a problem in 3.3.0
Comment 3 Miklos Vajna 2015-11-28 00:11:25 UTC
RtfAttributeOutput::FormatColumns_Impl() ignores the columns's line adjustment, so \linebetcol is not written by the exporter. I also noticed that the docx and rtf import of this is also broken, that also has to work, otherwise there is no way to write a testcase for the export fix. I'll look into these.
Comment 4 Commit Notification 2015-12-01 08:26:09 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be6a428c08467ec379b58c8908580a282f9a9d01

Related: tdf#94043 DOCX import: fix column separator handling

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-12-02 08:08:46 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5cbe4bcc281c77f4929caf1c387f7732fc8f113b

tdf#94043 RTF filter: implement column separator handling

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-12-03 19:36:15 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e83b77681d8716e0e044ecaf53bbdd4d083f1137&h=libreoffice-5-1

Related: tdf#94043 DOCX import: fix column separator handling

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-12-03 19:36:19 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5e09e31a3ae8941d8733855f0cca49756c80d1bb&h=libreoffice-5-1

tdf#94043 RTF filter: implement column separator handling

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-17 06:36:25 UTC Comment hidden (obsolete)
Comment 9 Jacques Guilleron 2015-12-26 14:26:04 UTC
Verified. Works with 
LO 5.1.0.1 Build ID: bcace328aabc4c8c10b56daa87da0a2ee6579b5a
Threads 2; Ver: Windows 6.1; Render: default
and Windows 7 Home.